FORUMS
Remove All Ads from XDA

[HSPL/HSPL2] HowTo flash everything ;)

1,115 posts
Thanks Meter: 62
 
By bepe, Retired Recognized Developer on 4th January 2010, 10:57 PM
Post Reply Email Thread
5th February 2011, 11:28 AM |#3141  
ericdevet's Avatar
Senior Member
Thanks Meter: 10
 
More
Quote:
Originally Posted by kevinwebster83

Yes, have tried a hard reset several times but it has made no difference.

No matter what I try, I just can't get back to the HTC bootloader.

Then i'm afraid it is indeed bricked.
There is a trhead on XDA about some guys in poland that can repair a bricked HD2in the following post:
http://forum.xda-developers.com/showthread.php?t=743331
 
 
5th February 2011, 12:54 PM |#3142  
Senior Member
Thanks Meter: 24
 
More
I borrowed a 2gb card and it flashed ok, thanks. I hope htc can find the problem now
5th February 2011, 07:55 PM |#3143  
ericdevet's Avatar
Senior Member
Thanks Meter: 10
 
More
Quote:
Originally Posted by elgrego4

I borrowed a 2gb card and it flashed ok, thanks. I hope htc can find the problem now

Glad i could help.
5th February 2011, 11:23 PM |#3144  
Senior Member
Thanks Meter: 24
 
More
After reading all the reports on uk warranty repairs im not gonna send to them and it seems to be better since the flash. I want to flash the good stuff back on but Its so long since i put hspl on i cant remember how to get around the problem i have the spl version on now is spl-3.03.0000. What do i need to do?
5th February 2011, 11:37 PM |#3145  
ericdevet's Avatar
Senior Member
Thanks Meter: 10
 
More
Quote:
Originally Posted by elgrego4

After reading all the reports on uk warranty repairs im not gonna send to them and it seems to be better since the flash. I want to flash the good stuff back on but Its so long since i put hspl on i cant remember how to get around the problem i have the spl version on now is spl-3.03.0000. What do i need to do?

You can't use HSPL with an spl of 3.03.
When i'm correct you flashed a 3.14 ROM version.
Reflash using the SD card to a 1.66 ROM version. This will have a 2.x spl version.
On that you can use the HSPL3-Package (found here: HSPL_3-PKG ), chosing the 2.08 HSPL version during installation.
Read the first few posts so you know what to do.
6th February 2011, 02:28 AM |#3146  
Senior Member
Thanks Meter: 24
 
More
Which 1.66 rom would i need? I know its wwe but Ive found a few different ones?
6th February 2011, 02:43 AM |#3147  
kurt-willems's Avatar
Senior Member
Flag ANS
Thanks Meter: 572
 
Donate to Me
More
Quote:
Originally Posted by elgrego4

Which 1.66 rom would i need? I know its wwe but Ive found a few different ones?

For example if you're stock rom for the moment is 3.14.404.x then use 1.66.404.x

Red numbers need to be the same.
The Following 2 Users Say Thank You to kurt-willems For This Useful Post: [ View ] Gift kurt-willems Ad-Free
6th February 2011, 04:09 PM |#3148  
Junior Member
Thanks Meter: 0
 
More
HELP!
hey... i have a t-mobile hd2..i usually run android from sd but now i want to try the real stuff...so i was searching how to install magldr and i need hspl...i have rom 3.14 but when i go in bootloader i have spl 2.10 . can i flash hspl3?? i think its strange as wveryone says that if you have 3.14 rom u have 3.03 spl but i dont :S

thanks
7th February 2011, 03:06 AM |#3149  
silverwind's Avatar
Senior Member
Flag Neverending Land
Thanks Meter: 100
 
More
Quote:
Originally Posted by williammic

hey... i have a t-mobile hd2..i usually run android from sd but now i want to try the real stuff...so i was searching how to install magldr and i need hspl...i have rom 3.14 but when i go in bootloader i have spl 2.10 . can i flash hspl3?? i think its strange as wveryone says that if you have 3.14 rom u have 3.03 spl but i dont :S

thanks

Stock rom v.3.14 contains SPL 3.03.
You can flash custom rom based on v.3.14 if you have hspl installed or use SSPL.
In order to install MAGLDR (to flash NAND Android) you have to flash SPL 2.08 HSPL and flash radio 2.15.xxx
You can use HSPL3 to flash SPL 2.08 HSPL.

Just be sure that you follow the instruction precisely when you do flashing.
8th February 2011, 01:04 AM |#3150  
samsamuel's Avatar
Senior Member
Thanks Meter: 1,052
 
More
Quote:
Originally Posted by williammic

hey... i have a t-mobile hd2..i usually run android from sd but now i want to try the real stuff...so i was searching how to install magldr and i need hspl...i have rom 3.14 but when i go in bootloader i have spl 2.10 . can i flash hspl3?? i think its strange as wveryone says that if you have 3.14 rom u have 3.03 spl but i dont :S

thanks

Quote:
Originally Posted by silverwind

Stock rom v.3.14 contains SPL 3.03.

ive seen a fair few tmous users that report their spl not updating when they updated to 3.14. im sure some cases are the user forgetting that hspl is installed, but it does appear that the rules are slightly different for tmous 3.14.
I haven't confirmed this directly, just an observation.

@william, yes, go right ahead with hspl3
The Following User Says Thank You to samsamuel For This Useful Post: [ View ] Gift samsamuel Ad-Free
9th February 2011, 08:07 AM |#3151  
Senior Member
Thanks Meter: 16
 
More
hello all
one question
my phone is spl 3.03 can i downgrade for install android in nand plz?
i have try downgrade in 2.10 but it freeze on loading with leoimg in sd card
Post Reply Subscribe to Thread

Tags
but dont upgred rom, xda.com

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes